/* List */

#list {

}

#listHeader {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    gap: 10px;
    flex-wrap: wrap;
}

#listHeaderTitle {
    margin-bottom: 0;
}

#listHeaderControls {
    display: flex;
    gap: 10px;
    align-items: center;
}

#listHeaderControlsFilter {
    width: auto;
}

#listHeaderControlsSendSelected {
    display: none;
    width: auto;
}

#listHeaderControlsSendSelected.active {
    display: block;
}

#listTable {

}

#listTableSelectAll {
    display: none;
    width: auto;
}

#listTableSelectAll.active {
    display: inline-block;
}

.listTableRow {

}

.listTableRowCheckbox {
    width: auto;
}

.listTableRowExpand {
    background: none;
    border: none;
    text-decoration: underline;
    cursor: pointer;
    padding: 0;
    width: auto;
    text-align: left;
}

.listTableRowEdit {

}

.listTableRowSend {

}

.listTableRowDelete {
    background-color: darkred;
}

.listTableRowPaidDirect {

}

.listTableRowPaidStripe {

}

.listTableRowPDF {
    background: none;
    border: none;
    text-decoration: underline;
    cursor: pointer;
    padding: 0;
    width: auto;
    text-align: left;
}

.listTableRowDetail {
    display: none;
}

.listTableRowDetail.active {
    display: table-row;
}

.listTableRowDetailLineItems {
    width: 100%;
    margin: 10px 0;
    border-collapse: collapse;
}

.listTableRowDetailLineItems thead {
    font-weight: 700;
}

.listTableRowDetailLineItems td {
    padding: 5px 10px;
    vertical-align: top;
}

.listTableRowDetailLineItemsLabel {
    text-align: right;
    font-weight: 700;
}

#listTableSubtotalLabel {
    text-align: right;
    font-weight: 700;
}

#listTableSubtotal {
    font-weight: 700;
}

/* New Form */

#new {

}

#newTitle {

}

#newInvoice {

}

#newInvoiceBill {
    display: grid;
    grid-template-columns: auto 1fr;
    column-gap: 10px;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 2px solid var(--light-orange);
    margin-bottom: 20px;
    row-gap: 10px;
}

#newInvoiceBillDate {

}

#newInvoiceBillSelect {
}

#newInvoiceClientSummary {
    border: 2px solid black;
    padding: 10px;
    grid-column: 1/3;
    margin-bottom: 20px;
}

#newInvoiceClientSummary:empty {
    display: none;
}

.newInvoiceClientSummaryRow {
    margin-bottom: 4px;
}

.newInvoiceClientSummaryRowProject {
    padding-left: 12px;
}

.newInvoiceClientSummaryRowOutstanding {
    color: darkred;
}

.newInvoiceClientSummaryRowNote {
    white-space: pre-wrap;
    margin-top: 12px;
    padding-top: 12px;
    border-top: 1px solid #ccc;
}

#newInvoiceLines {
    display: grid;
    row-gap: 10px;
    width: 100%;
    padding-bottom: 20px;
    border-bottom: 2px solid var(--light-orange);
    margin-bottom: 20px;
}

.newInvoiceLinesRow {
    display: grid;
    grid-template-columns: 6fr 2fr 2fr;
    align-items: center;
    column-gap: 10px;
}

.newInvoiceLinesRow td {
    align-content: start;
}

#newInvoiceCreate {

}

#newInvoiceCancel {
    display: none;
    margin-top: 10px;
    background-color: darkred;
}

#newInvoiceCancel.active {
    display: block;
}
